Subject: Re: bug#50066: core-update: Raw origin tarballs are not handled correctly.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 03 Sep 2021 09:30:29 -0400

Hi Mathieu,

Mathieu Othacehe <[email-masked]> writes:

> Hello Maxim,
>
>>> 1. rustc bootstrap from 1.39 (the itch to make it faster comes back
>>> everytime I have to build it ;-)).
>>
>> I'm nearing completion on this front.
>
> That will be a welcomed improvement!
>
>>> 2. fontconfig update that should allow per-profile fonts management via
>>>   XDG_DATA_DIRS (I have the commit ready, but failed to test it due to
>>>   having to build rust and getting distracted by 1. :-))
>>
>> I'll propose a few patches to include in the 'frozen' core-updates
>> branch since we've found a world-rebuilding change worthy of addressing
>> anyway (the patch below).
>
> Great! As we are going for a full rebuild, maybe we should also consider
> some of the Thiago fixes targeting core-updates-frozen such as
> https://issues.guix.gnu.org/50239.
>
>> Sadly the plain .tar file was/is not covered by tests (and not easily
>> so), but if his was my only omission, it should be correct (TM).
>> Attentive review needed :-).
>
> This seems reasonable and I'm currently rebuilding the world to test
> this fix and the Python fix. I should maybe apply your Rust bootstrap
> patch if you have it around to gain some time.

successfully built /gnu/store/vag2a53byhgrkpchviqz78lilall6412-emacs-org-contrib-20210519.drv
/gnu/store/40hl0dli745i2ggs1aqhn2drh0fkmrbx-emacs-org-contrib-20210519

:-).

I'm trying to fix one last thing with my local patch set (mozjs not
building with [email-masked]), but if takes too much time, I'll send what I
have and we can figure it out together.

Thanks,

Maxim